/* jshint ignore:start */

/* jshint ignore:end */

define('dummy/app', ['exports', 'ember', 'ember/resolver', 'ember/load-initializers', 'dummy/config/environment'], function (exports, Ember, Resolver, loadInitializers, config) {

  'use strict';

  var App;

  Ember['default'].MODEL_FACTORY_INJECTIONS = true;

  App = Ember['default'].Application.extend({
    modulePrefix: config['default'].modulePrefix,
    podModulePrefix: config['default'].podModulePrefix,
    Resolver: Resolver['default']
  });

  loadInitializers['default'](App, config['default'].modulePrefix);

  exports['default'] = App;

});
define('dummy/components/validated-checkbox', ['exports', 'ember-cli-validation-components/components/validated-checkbox'], function (exports, validatedCheckbox) {

	'use strict';

	exports['default'] = validatedCheckbox['default'];

});
define('dummy/components/validated-input', ['exports', 'ember-cli-validation-components/components/validated-input'], function (exports, validatedInput) {

	'use strict';

	exports['default'] = validatedInput['default'];

});
define('dummy/components/validated-select', ['exports', 'ember-cli-validation-components/components/validated-select'], function (exports, validatedSelect) {

	'use strict';

	exports['default'] = validatedSelect['default'];

});
define('dummy/controllers/form-one', ['exports', 'ember'], function (exports, Ember) {

  'use strict';

  exports['default'] = Ember['default'].Controller.extend({

    init: function init() {
      // Tests carry state if this is not defined in init
      this.set("formFields", Ember['default'].A([{ _id: "name", regex: /^[A-Za-z]+$/ }, { _id: "zipCode", regex: /^\d+$/ }, { _id: "cool", regex: /true/ }, { _id: "love", regex: /Lots|Some/, choices: Ember['default'].A(["----", "Lots", "Some", "None"]) }]));
    },

    actions: {
      formValid: function formValid() {
        if (this.get("formValidator").isValid(this.get("formFields"))) {
          console.log("The form IS valid");
        } else {
          console.log("The form is NOT valid");
        }
      },

      markInvalid: function markInvalid() {
        this.get("formValidator").markInvalid(this.get("formFields"));
      },

      formData: function formData() {
        console.log(this.get("formValidator").formData(this.get("formFields")));
      }
    }
  });

});
define('dummy/controllers/form-two', ['exports', 'ember'], function (exports, Ember) {

  'use strict';

  exports['default'] = Ember['default'].Controller.extend({

    formFields: Ember['default'].computed(function () {
      return Ember['default'].A([{ _id: "securityCode", regex: /^\d{3,4}$/, valFunction: this.get("codeCheck") }, { _id: "cardType", regex: /Amex|Discover/, choices: Ember['default'].A(["----", "Amex", "Discover"]) }]);
    }),

    codeCheck: function codeCheck(formData) {
      var card = formData.cardType;
      var securityCode = formData.securityCode;
      if (card === "Amex" && securityCode.length === 3 || card === "Discover" && securityCode.length === 4) {
        return true;
      } else {
        return false;
      }
    },

    actions: {
      submitForm: function submitForm() {
        var validator = this.get("formValidator");
        var form = this.get("formFields");
        validator.markInvalid(form);
        if (validator.isValid(form)) {
          console.log("The form IS being submitted");
        }
      }
    }
  });

});
define('dummy/ember-cli-validation-components/tests/modules/ember-cli-validation-components/components/validated-checkbox.jshint', function () {

  'use strict';

  module('JSHint - modules/ember-cli-validation-components/components');
  test('modules/ember-cli-validation-components/components/validated-checkbox.js should pass jshint', function () {
    ok(true, 'modules/ember-cli-validation-components/components/validated-checkbox.js should pass jshint.');
  });

});
define('dummy/ember-cli-validation-components/tests/modules/ember-cli-validation-components/components/validated-input.jshint', function () {

  'use strict';

  module('JSHint - modules/ember-cli-validation-components/components');
  test('modules/ember-cli-validation-components/components/validated-input.js should pass jshint', function () {
    ok(true, 'modules/ember-cli-validation-components/components/validated-input.js should pass jshint.');
  });

});
define('dummy/ember-cli-validation-components/tests/modules/ember-cli-validation-components/components/validated-select.jshint', function () {

  'use strict';

  module('JSHint - modules/ember-cli-validation-components/components');
  test('modules/ember-cli-validation-components/components/validated-select.js should pass jshint', function () {
    ok(true, 'modules/ember-cli-validation-components/components/validated-select.js should pass jshint.');
  });

});
define('dummy/ember-cli-validation-components/tests/modules/ember-cli-validation-components/mixins/validated-base.jshint', function () {

  'use strict';

  module('JSHint - modules/ember-cli-validation-components/mixins');
  test('modules/ember-cli-validation-components/mixins/validated-base.js should pass jshint', function () {
    ok(true, 'modules/ember-cli-validation-components/mixins/validated-base.js should pass jshint.');
  });

});
define('dummy/ember-cli-validation-components/tests/modules/ember-cli-validation-components/services/form-validator.jshint', function () {

  'use strict';

  module('JSHint - modules/ember-cli-validation-components/services');
  test('modules/ember-cli-validation-components/services/form-validator.js should pass jshint', function () {
    ok(true, 'modules/ember-cli-validation-components/services/form-validator.js should pass jshint.');
  });

});
define('dummy/initializers/app-version', ['exports', 'dummy/config/environment', 'ember'], function (exports, config, Ember) {

  'use strict';

  var classify = Ember['default'].String.classify;
  var registered = false;

  exports['default'] = {
    name: 'App Version',
    initialize: function initialize(container, application) {
      if (!registered) {
        var appName = classify(application.toString());
        Ember['default'].libraries.register(appName, config['default'].APP.version);
        registered = true;
      }
    }
  };

});
define('dummy/initializers/export-application-global', ['exports', 'ember', 'dummy/config/environment'], function (exports, Ember, config) {

  'use strict';

  exports.initialize = initialize;

  function initialize(container, application) {
    var classifiedName = Ember['default'].String.classify(config['default'].modulePrefix);

    if (config['default'].exportApplicationGlobal && !window[classifiedName]) {
      window[classifiedName] = application;
    }
  }

  ;

  exports['default'] = {
    name: 'export-application-global',

    initialize: initialize
  };

});
define('dummy/initializers/form-validator', ['exports', 'ember-cli-validation-components/services/form-validator', 'dummy/config/environment'], function (exports, formValidator, config) {

  'use strict';

  exports.initialize = initialize;

  function initialize(container, application) {
    var injectionFactories = config['default'].formValidatorDefaults.injectionFactories;

    application.register("service:formValidator", formValidator['default'], { singleton: true });
    application.inject("component:validated-input", "formValidator", "service:formValidator");
    application.inject("component:validated-checkbox", "formValidator", "service:formValidator");
    application.inject("component:validated-select", "formValidator", "service:formValidator");

    injectionFactories.forEach(function (factory) {
      application.inject(factory, "formValidator", "service:formValidator");
    });
  }

  exports['default'] = {
    name: "form-validator",
    initialize: initialize
  };

});
define('dummy/router', ['exports', 'ember', 'dummy/config/environment'], function (exports, Ember, config) {

  'use strict';

  var Router = Ember['default'].Router.extend({
    location: config['default'].locationType
  });

  exports['default'] = Router.map(function () {
    this.route('form-one', { path: '/form-one' });
    this.route('form-two', { path: '/form-two' });
  });

});
define('dummy/services/form-validator', ['exports', 'ember-cli-validation-components/services/form-validator'], function (exports, FormValidator) {

	'use strict';

	exports['default'] = FormValidator['default'];

});
define('dummy/templates/application', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    return {
      meta: {
        "revision": "Ember@1.13.1",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 2,
            "column": 0
          }
        },
        "moduleName": "dummy/templates/application.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment,0,0,contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [
        ["content","outlet"]
      ],
      locals: [],
      templates: []
    };
  }()));

});
define('dummy/templates/components/validated-checkbox', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    var child0 = (function() {
      var child0 = (function() {
        return {
          meta: {
            "revision": "Ember@1.13.1",
            "loc": {
              "source": null,
              "start": {
                "line": 2,
                "column": 2
              },
              "end": {
                "line": 4,
                "column": 2
              }
            },
            "moduleName": "dummy/templates/components/validated-checkbox.hbs"
          },
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment,1,1,contextualElement);
            return morphs;
          },
          statements: [
            ["content","yield"]
          ],
          locals: [],
          templates: []
        };
      }());
      return {
        meta: {
          "revision": "Ember@1.13.1",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 5,
              "column": 0
            }
          },
          "moduleName": "dummy/templates/components/validated-checkbox.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment,0,0,contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [
          ["block","if",[["get","fieldObj.hasError"]],[],0,null]
        ],
        locals: [],
        templates: [child0]
      };
    }());
    var child1 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.1",
          "loc": {
            "source": null,
            "start": {
              "line": 7,
              "column": 0
            },
            "end": {
              "line": 9,
              "column": 0
            }
          },
          "moduleName": "dummy/templates/components/validated-checkbox.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("input");
          dom.setAttribute(el1,"type","checkbox");
          dom.setAttribute(el1,"name","cool");
          dom.setAttribute(el1,"checked","");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          if (this.cachedFragment) { dom.repairClonedNode(dom.childAt(fragment, [1]),[],true); }
          var element1 = dom.childAt(fragment, [1]);
          var morphs = new Array(1);
          morphs[0] = dom.createAttrMorph(element1, 'id');
          return morphs;
        },
        statements: [
          ["attribute","id",["concat",[["get","_id"]]]]
        ],
        locals: [],
        templates: []
      };
    }());
    var child2 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.1",
          "loc": {
            "source": null,
            "start": {
              "line": 9,
              "column": 0
            },
            "end": {
              "line": 11,
              "column": 0
            }
          },
          "moduleName": "dummy/templates/components/validated-checkbox.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("input");
          dom.setAttribute(el1,"type","checkbox");
          dom.setAttribute(el1,"name","cool");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element0 = dom.childAt(fragment, [1]);
          var morphs = new Array(1);
          morphs[0] = dom.createAttrMorph(element0, 'id');
          return morphs;
        },
        statements: [
          ["attribute","id",["concat",[["get","_id"]]]]
        ],
        locals: [],
        templates: []
      };
    }());
    var child3 = (function() {
      var child0 = (function() {
        return {
          meta: {
            "revision": "Ember@1.13.1",
            "loc": {
              "source": null,
              "start": {
                "line": 14,
                "column": 2
              },
              "end": {
                "line": 16,
                "column": 2
              }
            },
            "moduleName": "dummy/templates/components/validated-checkbox.hbs"
          },
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment,1,1,contextualElement);
            return morphs;
          },
          statements: [
            ["content","yield"]
          ],
          locals: [],
          templates: []
        };
      }());
      return {
        meta: {
          "revision": "Ember@1.13.1",
          "loc": {
            "source": null,
            "start": {
              "line": 13,
              "column": 0
            },
            "end": {
              "line": 17,
              "column": 0
            }
          },
          "moduleName": "dummy/templates/components/validated-checkbox.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment,0,0,contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [
          ["block","if",[["get","fieldObj.hasError"]],[],0,null]
        ],
        locals: [],
        templates: [child0]
      };
    }());
    return {
      meta: {
        "revision": "Ember@1.13.1",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 18,
            "column": 0
          }
        },
        "moduleName": "dummy/templates/components/validated-checkbox.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(fragment,0,0,contextualElement);
        morphs[1] = dom.createMorphAt(fragment,2,2,contextualElement);
        morphs[2] = dom.createMorphAt(fragment,4,4,contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [
        ["block","if",[["get","before"]],[],0,null],
        ["block","if",[["get","fieldObj.value"]],[],1,2],
        ["block","if",[["get","after"]],[],3,null]
      ],
      locals: [],
      templates: [child0, child1, child2, child3]
    };
  }()));

});
define('dummy/templates/components/validated-input', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    var child0 = (function() {
      var child0 = (function() {
        return {
          meta: {
            "revision": "Ember@1.13.1",
            "loc": {
              "source": null,
              "start": {
                "line": 2,
                "column": 2
              },
              "end": {
                "line": 4,
                "column": 2
              }
            },
            "moduleName": "dummy/templates/components/validated-input.hbs"
          },
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment,1,1,contextualElement);
            return morphs;
          },
          statements: [
            ["content","yield"]
          ],
          locals: [],
          templates: []
        };
      }());
      return {
        meta: {
          "revision": "Ember@1.13.1",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 5,
              "column": 0
            }
          },
          "moduleName": "dummy/templates/components/validated-input.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment,0,0,contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [
          ["block","if",[["get","fieldObj.hasError"]],[],0,null]
        ],
        locals: [],
        templates: [child0]
      };
    }());
    var child1 = (function() {
      var child0 = (function() {
        return {
          meta: {
            "revision": "Ember@1.13.1",
            "loc": {
              "source": null,
              "start": {
                "line": 42,
                "column": 2
              },
              "end": {
                "line": 44,
                "column": 2
              }
            },
            "moduleName": "dummy/templates/components/validated-input.hbs"
          },
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment,1,1,contextualElement);
            return morphs;
          },
          statements: [
            ["content","yield"]
          ],
          locals: [],
          templates: []
        };
      }());
      return {
        meta: {
          "revision": "Ember@1.13.1",
          "loc": {
            "source": null,
            "start": {
              "line": 41,
              "column": 0
            },
            "end": {
              "line": 45,
              "column": 0
            }
          },
          "moduleName": "dummy/templates/components/validated-input.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment,0,0,contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [
          ["block","if",[["get","fieldObj.hasError"]],[],0,null]
        ],
        locals: [],
        templates: [child0]
      };
    }());
    return {
      meta: {
        "revision": "Ember@1.13.1",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 46,
            "column": 0
          }
        },
        "moduleName": "dummy/templates/components/validated-input.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(fragment,0,0,contextualElement);
        morphs[1] = dom.createMorphAt(fragment,2,2,contextualElement);
        morphs[2] = dom.createMorphAt(fragment,4,4,contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [
        ["block","if",[["get","before"]],[],0,null],
        ["inline","input",[],["id",["subexpr","@mut",[["get","_id"]],[]],"class",["subexpr","@mut",[["get","class"]],[]],"type","text","value",["subexpr","@mut",[["get","fieldObj.value"]],[]],"focus-out","validateField","placeholder",["subexpr","@mut",[["get","placeholder"]],[]],"readonly",["subexpr","@mut",[["get","readonly"]],[]],"required",["subexpr","@mut",[["get","required"]],[]],"autofocus",["subexpr","@mut",[["get","autofocus"]],[]],"disabled",["subexpr","@mut",[["get","disabled"]],[]],"size",["subexpr","@mut",[["get","size"]],[]],"tabindex",["subexpr","@mut",[["get","tabindex"]],[]],"maxlength",["subexpr","@mut",[["get","maxlength"]],[]],"name",["subexpr","@mut",[["get","name"]],[]],"min",["subexpr","@mut",[["get","min"]],[]],"max",["subexpr","@mut",[["get","max"]],[]],"pattern",["subexpr","@mut",[["get","pattern"]],[]],"accept",["subexpr","@mut",[["get","accept"]],[]],"autocomplete",["subexpr","@mut",[["get","autocomplete"]],[]],"autosave",["subexpr","@mut",[["get","autosave"]],[]],"formaction",["subexpr","@mut",[["get","formaction"]],[]],"formenctype",["subexpr","@mut",[["get","formenctype"]],[]],"formmethod",["subexpr","@mut",[["get","formmethod"]],[]],"formnovalidate",["subexpr","@mut",[["get","formnovalidate"]],[]],"formtarget",["subexpr","@mut",[["get","formtarget"]],[]],"height",["subexpr","@mut",[["get","height"]],[]],"inputmode",["subexpr","@mut",[["get","inputmode"]],[]],"multiple",["subexpr","@mut",[["get","multiple"]],[]],"step",["subexpr","@mut",[["get","step"]],[]],"width",["subexpr","@mut",[["get","width"]],[]],"form",["subexpr","@mut",[["get","form"]],[]],"selectionDirection",["subexpr","@mut",[["get","selectionDirection"]],[]],"spellcheck",["subexpr","@mut",[["get","spellcheck"]],[]]]],
        ["block","if",[["get","after"]],[],1,null]
      ],
      locals: [],
      templates: [child0, child1]
    };
  }()));

});
define('dummy/templates/components/validated-select', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    var child0 = (function() {
      var child0 = (function() {
        return {
          meta: {
            "revision": "Ember@1.13.1",
            "loc": {
              "source": null,
              "start": {
                "line": 2,
                "column": 2
              },
              "end": {
                "line": 4,
                "column": 2
              }
            },
            "moduleName": "dummy/templates/components/validated-select.hbs"
          },
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment,1,1,contextualElement);
            return morphs;
          },
          statements: [
            ["content","yield"]
          ],
          locals: [],
          templates: []
        };
      }());
      return {
        meta: {
          "revision": "Ember@1.13.1",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 5,
              "column": 0
            }
          },
          "moduleName": "dummy/templates/components/validated-select.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment,0,0,contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [
          ["block","if",[["get","fieldObj.hasError"]],[],0,null]
        ],
        locals: [],
        templates: [child0]
      };
    }());
    var child1 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.1",
          "loc": {
            "source": null,
            "start": {
              "line": 9,
              "column": 2
            },
            "end": {
              "line": 11,
              "column": 2
            }
          },
          "moduleName": "dummy/templates/components/validated-select.hbs"
        },
        arity: 1,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("    ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("option");
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element0 = dom.childAt(fragment, [1]);
          var morphs = new Array(2);
          morphs[0] = dom.createAttrMorph(element0, 'value');
          morphs[1] = dom.createMorphAt(element0,0,0);
          return morphs;
        },
        statements: [
          ["attribute","value",["concat",[["get","choice"]]]],
          ["content","choice"]
        ],
        locals: ["choice"],
        templates: []
      };
    }());
    var child2 = (function() {
      var child0 = (function() {
        return {
          meta: {
            "revision": "Ember@1.13.1",
            "loc": {
              "source": null,
              "start": {
                "line": 15,
                "column": 2
              },
              "end": {
                "line": 17,
                "column": 2
              }
            },
            "moduleName": "dummy/templates/components/validated-select.hbs"
          },
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment,1,1,contextualElement);
            return morphs;
          },
          statements: [
            ["content","yield"]
          ],
          locals: [],
          templates: []
        };
      }());
      return {
        meta: {
          "revision": "Ember@1.13.1",
          "loc": {
            "source": null,
            "start": {
              "line": 14,
              "column": 0
            },
            "end": {
              "line": 18,
              "column": 0
            }
          },
          "moduleName": "dummy/templates/components/validated-select.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment,0,0,contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [
          ["block","if",[["get","fieldObj.hasError"]],[],0,null]
        ],
        locals: [],
        templates: [child0]
      };
    }());
    return {
      meta: {
        "revision": "Ember@1.13.1",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 19,
            "column": 0
          }
        },
        "moduleName": "dummy/templates/components/validated-select.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("select");
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("option");
        dom.setAttribute(el2,"selected","selected");
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element1 = dom.childAt(fragment, [2]);
        var element2 = dom.childAt(element1, [1]);
        var morphs = new Array(6);
        morphs[0] = dom.createMorphAt(fragment,0,0,contextualElement);
        morphs[1] = dom.createAttrMorph(element1, 'id');
        morphs[2] = dom.createAttrMorph(element2, 'value');
        morphs[3] = dom.createMorphAt(element2,0,0);
        morphs[4] = dom.createMorphAt(element1,3,3);
        morphs[5] = dom.createMorphAt(fragment,4,4,contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [
        ["block","if",[["get","before"]],[],0,null],
        ["attribute","id",["concat",[["get","_id"]]]],
        ["attribute","value",["concat",[["get","defaultChoice"]]]],
        ["content","defaultChoice"],
        ["block","each",[["get","remainingChoices"]],["key","@guid"],1,null],
        ["block","if",[["get","after"]],[],2,null]
      ],
      locals: [],
      templates: [child0, child1, child2]
    };
  }()));

});
define('dummy/templates/form-one', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    var child0 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.1",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 2
            },
            "end": {
              "line": 4,
              "column": 2
            }
          },
          "moduleName": "dummy/templates/form-one.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("    ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("div");
          dom.setAttribute(el1,"id","nameError");
          var el2 = dom.createTextNode("Only alpha chars");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes() { return []; },
        statements: [

        ],
        locals: [],
        templates: []
      };
    }());
    var child1 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.1",
          "loc": {
            "source": null,
            "start": {
              "line": 8,
              "column": 2
            },
            "end": {
              "line": 10,
              "column": 2
            }
          },
          "moduleName": "dummy/templates/form-one.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("    ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("div");
          dom.setAttribute(el1,"id","zipError");
          var el2 = dom.createTextNode("Only numeric chars");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes() { return []; },
        statements: [

        ],
        locals: [],
        templates: []
      };
    }());
    var child2 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.1",
          "loc": {
            "source": null,
            "start": {
              "line": 15,
              "column": 2
            },
            "end": {
              "line": 17,
              "column": 2
            }
          },
          "moduleName": "dummy/templates/form-one.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("    ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("div");
          dom.setAttribute(el1,"id","coolError");
          var el2 = dom.createTextNode("You must be cool");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes() { return []; },
        statements: [

        ],
        locals: [],
        templates: []
      };
    }());
    var child3 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.1",
          "loc": {
            "source": null,
            "start": {
              "line": 22,
              "column": 2
            },
            "end": {
              "line": 24,
              "column": 2
            }
          },
          "moduleName": "dummy/templates/form-one.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("    ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("div");
          dom.setAttribute(el1,"id","loveError");
          var el2 = dom.createTextNode("No love at all?");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes() { return []; },
        statements: [

        ],
        locals: [],
        templates: []
      };
    }());
    return {
      meta: {
        "revision": "Ember@1.13.1",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 30,
            "column": 0
          }
        },
        "moduleName": "dummy/templates/form-one.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("div");
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("div");
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("div");
        var el2 = dom.createTextNode("\n  Are you cool?\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("div");
        var el2 = dom.createTextNode("\n  How much do you love this addon?\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("button");
        dom.setAttribute(el1,"id","formValid");
        var el2 = dom.createTextNode("Form Valid?");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("button");
        dom.setAttribute(el1,"id","markInvalid");
        var el2 = dom.createTextNode("Mark Invalid");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("button");
        dom.setAttribute(el1,"id","formData");
        var el2 = dom.createTextNode("Log Form Data");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element0 = dom.childAt(fragment, [8]);
        var element1 = dom.childAt(fragment, [10]);
        var element2 = dom.childAt(fragment, [12]);
        var morphs = new Array(7);
        morphs[0] = dom.createMorphAt(dom.childAt(fragment, [0]),1,1);
        morphs[1] = dom.createMorphAt(dom.childAt(fragment, [2]),1,1);
        morphs[2] = dom.createMorphAt(dom.childAt(fragment, [4]),1,1);
        morphs[3] = dom.createMorphAt(dom.childAt(fragment, [6]),1,1);
        morphs[4] = dom.createElementMorph(element0);
        morphs[5] = dom.createElementMorph(element1);
        morphs[6] = dom.createElementMorph(element2);
        return morphs;
      },
      statements: [
        ["block","validated-input",[],["_id","name","formFields",["subexpr","@mut",[["get","formFields"]],[]],"contentPosition","after","placeholder","Name"],0,null],
        ["block","validated-input",[],["_id","zipCode","formFields",["subexpr","@mut",[["get","formFields"]],[]],"contentPosition","after","placeholder","Zip Code"],1,null],
        ["block","validated-checkbox",[],["_id","cool","formFields",["subexpr","@mut",[["get","formFields"]],[]],"contentPosition","after"],2,null],
        ["block","validated-select",[],["_id","love","formFields",["subexpr","@mut",[["get","formFields"]],[]],"contentPosition","after"],3,null],
        ["element","action",["formValid"],[]],
        ["element","action",["markInvalid"],[]],
        ["element","action",["formData"],[]]
      ],
      locals: [],
      templates: [child0, child1, child2, child3]
    };
  }()));

});
define('dummy/templates/form-two', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    var child0 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.1",
          "loc": {
            "source": null,
            "start": {
              "line": 3,
              "column": 2
            },
            "end": {
              "line": 5,
              "column": 2
            }
          },
          "moduleName": "dummy/templates/form-two.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("    ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("div");
          dom.setAttribute(el1,"id","cardError");
          var el2 = dom.createTextNode("You have to use a card");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes() { return []; },
        statements: [

        ],
        locals: [],
        templates: []
      };
    }());
    var child1 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.1",
          "loc": {
            "source": null,
            "start": {
              "line": 9,
              "column": 2
            },
            "end": {
              "line": 11,
              "column": 2
            }
          },
          "moduleName": "dummy/templates/form-two.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("    ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("div");
          dom.setAttribute(el1,"id","codeError");
          var el2 = dom.createTextNode("Invlid security code");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes() { return []; },
        statements: [

        ],
        locals: [],
        templates: []
      };
    }());
    return {
      meta: {
        "revision": "Ember@1.13.1",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 15,
            "column": 0
          }
        },
        "moduleName": "dummy/templates/form-two.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("div");
        var el2 = dom.createTextNode("\n  Select card type\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("div");
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("button");
        dom.setAttribute(el1,"id","submitForm");
        var el2 = dom.createTextNode("Submit Form");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element0 = dom.childAt(fragment, [4]);
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(dom.childAt(fragment, [0]),1,1);
        morphs[1] = dom.createMorphAt(dom.childAt(fragment, [2]),1,1);
        morphs[2] = dom.createElementMorph(element0);
        return morphs;
      },
      statements: [
        ["block","validated-select",[],["_id","cardType","formFields",["subexpr","@mut",[["get","formFields"]],[]],"contentPosition","after"],0,null],
        ["block","validated-input",[],["_id","securityCode","formFields",["subexpr","@mut",[["get","formFields"]],[]],"contentPosition","after","placeholder","Security Code"],1,null],
        ["element","action",["submitForm"],[]]
      ],
      locals: [],
      templates: [child0, child1]
    };
  }()));

});
define('dummy/tests/acceptance/form-one-test', ['ember', 'qunit', 'dummy/tests/helpers/start-app'], function (Ember, qunit, startApp) {

  'use strict';

  var application;

  qunit.module("Form One Route Tests", {
    beforeEach: function beforeEach() {
      application = startApp['default']();
    },
    afterEach: function afterEach() {
      Ember['default'].run(application, "destroy");
    }
  });

  qunit.test("Input field does not display an error if it contains invalid input but has not lost focus", function (assert) {
    visit("/form-one");
    click("#name");
    fillIn("#name", "Jarrod@");
    andThen(function () {
      assert.ok(!find("#nameError").length);
    });
  });

  qunit.test("Input field does display an error if it contains invalid input and has lost focus", function (assert) {
    visit("/form-one");
    click("#name");
    fillIn("#name", "Jarrod@");
    andThen(function () {
      find("#name").focusout();
    });
    andThen(function () {
      assert.ok(find("#nameError").length);
    });
  });

  qunit.test("Input field will update error status as keys are pressed after initial error has been triggered", function (assert) {
    visit("/form-one");
    click("#name");
    fillIn("#name", "Jarrod@");
    andThen(function () {
      find("#name").focusout();
    });
    fillIn("#name", "Jarrod");
    andThen(function () {
      find("#name").keyup();
    });
    andThen(function () {
      assert.ok(!find("#nameError").length);
    });
  });

  qunit.test("Checkbox field does not display an error if checked and expected to be true", function (assert) {
    visit("/form-one");
    click("#cool");
    andThen(function () {
      assert.ok(!find("#coolError").length);
    });
  });

  qunit.test("Checkbox field does display an error if not checked and expected to be true", function (assert) {
    visit("/form-one");
    click("#cool");
    click("#cool");
    andThen(function () {
      assert.ok(find("#coolError").length);
    });
  });

  qunit.test("Select field does not display an error if selected field matches regex", function (assert) {
    visit("/form-one");
    fillIn("#love", "Lots");
    andThen(function () {
      assert.ok(!find("#loveError").length);
    });
  });

  qunit.test("Select field does display an error if selected field does not matche regex", function (assert) {
    visit("/form-one");
    fillIn("#love", "None");
    andThen(function () {
      assert.ok(find("#loveError").length);
    });
  });

});
define('dummy/tests/acceptance/form-one-test.jshint', function () {

  'use strict';

  module('JSHint - acceptance');
  test('acceptance/form-one-test.js should pass jshint', function() { 
    ok(true, 'acceptance/form-one-test.js should pass jshint.'); 
  });

});
define('dummy/tests/acceptance/form-two-test', ['ember', 'qunit', 'dummy/tests/helpers/start-app'], function (Ember, qunit, startApp) {

  'use strict';

  var application;

  qunit.module("Form One Route Tests", {
    beforeEach: function beforeEach() {
      application = startApp['default']();
    },
    afterEach: function afterEach() {
      Ember['default'].run(application, "destroy");
    }
  });

  qunit.test("Fields with valFunctions trigger errors as expected", function (assert) {
    visit("/form-two");
    fillIn("#cardType", "Amex");
    click("#securityCode");
    fillIn("#securityCode", "1234");
    andThen(function () {
      find("#securityCode").focusout();
    });
    andThen(function () {
      assert.ok(find("#codeError").length);
    });
  });

  qunit.test("Fields with valFunctions trigger do not have errors if provided desired input", function (assert) {
    visit("/form-two");
    fillIn("#cardType", "Discover");
    click("#securityCode");
    fillIn("#securityCode", "1234");
    andThen(function () {
      find("#securityCode").focusout();
    });
    andThen(function () {
      assert.ok(!find("#codeError").length);
    });
  });

});
define('dummy/tests/acceptance/form-two-test.jshint', function () {

  'use strict';

  module('JSHint - acceptance');
  test('acceptance/form-two-test.js should pass jshint', function() { 
    ok(true, 'acceptance/form-two-test.js should pass jshint.'); 
  });

});
define('dummy/tests/app.jshint', function () {

  'use strict';

  module('JSHint - .');
  test('app.js should pass jshint', function() { 
    ok(true, 'app.js should pass jshint.'); 
  });

});
define('dummy/tests/controllers/form-one.jshint', function () {

  'use strict';

  module('JSHint - controllers');
  test('controllers/form-one.js should pass jshint', function() { 
    ok(true, 'controllers/form-one.js should pass jshint.'); 
  });

});
define('dummy/tests/controllers/form-two.jshint', function () {

  'use strict';

  module('JSHint - controllers');
  test('controllers/form-two.js should pass jshint', function() { 
    ok(true, 'controllers/form-two.js should pass jshint.'); 
  });

});
define('dummy/tests/helpers/resolver', ['exports', 'ember/resolver', 'dummy/config/environment'], function (exports, Resolver, config) {

  'use strict';

  var resolver = Resolver['default'].create();

  resolver.namespace = {
    modulePrefix: config['default'].modulePrefix,
    podModulePrefix: config['default'].podModulePrefix
  };

  exports['default'] = resolver;

});
define('dummy/tests/helpers/resolver.jshint', function () {

  'use strict';

  module('JSHint - helpers');
  test('helpers/resolver.js should pass jshint', function() { 
    ok(true, 'helpers/resolver.js should pass jshint.'); 
  });

});
define('dummy/tests/helpers/start-app', ['exports', 'ember', 'dummy/app', 'dummy/router', 'dummy/config/environment'], function (exports, Ember, Application, Router, config) {

  'use strict';



  exports['default'] = startApp;
  function startApp(attrs) {
    var application;

    var attributes = Ember['default'].merge({}, config['default'].APP);
    attributes = Ember['default'].merge(attributes, attrs); // use defaults, but you can override;

    Ember['default'].run(function () {
      application = Application['default'].create(attributes);
      application.setupForTesting();
      application.injectTestHelpers();
    });

    return application;
  }

});
define('dummy/tests/helpers/start-app.jshint', function () {

  'use strict';

  module('JSHint - helpers');
  test('helpers/start-app.js should pass jshint', function() { 
    ok(true, 'helpers/start-app.js should pass jshint.'); 
  });

});
define('dummy/tests/router.jshint', function () {

  'use strict';

  module('JSHint - .');
  test('router.js should pass jshint', function() { 
    ok(true, 'router.js should pass jshint.'); 
  });

});
define('dummy/tests/test-helper', ['dummy/tests/helpers/resolver', 'ember-qunit'], function (resolver, ember_qunit) {

	'use strict';

	ember_qunit.setResolver(resolver['default']);

});
define('dummy/tests/test-helper.jshint', function () {

  'use strict';

  module('JSHint - .');
  test('test-helper.js should pass jshint', function() { 
    ok(true, 'test-helper.js should pass jshint.'); 
  });

});
define('dummy/tests/unit/services/form-validator-test', ['qunit', 'ember', 'ember-cli-validation-components/services/form-validator'], function (qunit, Ember, formValidator) {

  'use strict';

  qunit.module('Form Validator Service Tests', {});

  qunit.test('isValid returns true when all fields are validated and do not have errors', function (assert) {
    var validator = new formValidator['default']();
    var form = Ember['default'].A([{ _id: 'a', regex: /^$/, validated: true, hasError: false }, { _id: 'b', regex: /^$/, validated: true, hasError: false }]);
    assert.ok(validator.isValid(form));
  });

  qunit.test('isValid returns false under expected conditions', function (assert) {
    var validator = new formValidator['default']();
    var form = Ember['default'].A([{ _id: 'a', regex: /^$/, validated: false, hasError: false }, { _id: 'b', regex: /^$/, validated: true, hasError: false }]);
    assert.ok(!validator.isValid(form));
    form[0].validated = true;
    form[0].hasError = true;
    assert.ok(!validator.isValid(form));
  });

  qunit.test('markInvalid invalidates field that have values that do not match the regex', function (assert) {
    var validator = new formValidator['default']();
    var form = Ember['default'].A([{ _id: 'a', value: 'A', regex: /^$/, validated: false, hasError: false }, { _id: 'b', value: 'B', regex: /^$/, validated: false, hasError: false }]);
    validator.markInvalid(form);
    assert.ok(form[0].validated);
    assert.ok(form[1].validated);
    assert.ok(form[0].hasError);
    assert.ok(form[1].hasError);
  });

  qunit.test('marInvalid only sets validated to true if value matches the regex', function (assert) {
    var validator = new formValidator['default']();
    var form = Ember['default'].A([{ _id: 'a', value: 'A', regex: /^A$/, validated: false, hasError: false }, { _id: 'b', value: 'B', regex: /^B$/, validated: false, hasError: false }]);
    validator.markInvalid(form);
    assert.ok(form[0].validated);
    assert.ok(form[1].validated);
    assert.ok(!form[0].hasError);
    assert.ok(!form[1].hasError);
  });

  qunit.test('formData returns object with expected properties and values', function (assert) {
    var validator = new formValidator['default']();
    var form = Ember['default'].A([{ _id: 'a', value: 'A' }, { _id: 'b', value: 'B' }]);
    var data = validator.formData(form);
    assert.equal(data.a, 'A');
    assert.equal(data.b, 'B');
    assert.equal(Ember['default'].keys(data).length, 2);
  });

});
define('dummy/tests/unit/services/form-validator-test.jshint', function () {

  'use strict';

  module('JSHint - unit/services');
  test('unit/services/form-validator-test.js should pass jshint', function() { 
    ok(true, 'unit/services/form-validator-test.js should pass jshint.'); 
  });

});
/* jshint ignore:start */

/* jshint ignore:end */

/* jshint ignore:start */

define('dummy/config/environment', ['ember'], function(Ember) {
  var prefix = 'dummy';
/* jshint ignore:start */

try {
  var metaName = prefix + '/config/environment';
  var rawConfig = Ember['default'].$('meta[name="' + metaName + '"]').attr('content');
  var config = JSON.parse(unescape(rawConfig));

  return { 'default': config };
}
catch(err) {
  throw new Error('Could not read config from meta tag with name "' + metaName + '".');
}

/* jshint ignore:end */

});

if (runningTests) {
  require("dummy/tests/test-helper");
} else {
  require("dummy/app")["default"].create({"name":"ember-cli-validation-components","version":"0.1.1.15cf38e7"});
}

/* jshint ignore:end */
//# sourceMappingURL=dummy.map